<?php
 
 
 

namespace PhpWA\Protocol\Proto\SyncActionValue;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class AgentAction extends \Google\Protobuf\Internal\Message
{
    


    protected $name = null;
    


    protected $deviceID = null;
    


    protected $isDeleted = null;

    










    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getName()
    {
        return isset($this->name) ? $this->name : '';
    }

    public function hasName()
    {
        return isset($this->name);
    }

    public function clearName()
    {
        unset($this->name);
    }

    




    public function setName($var)
    {
        GPBUtil::checkString($var, True);
        $this->name = $var;

        return $this;
    }

    



    public function getDeviceID()
    {
        return isset($this->deviceID) ? $this->deviceID : 0;
    }

    public function hasDeviceID()
    {
        return isset($this->deviceID);
    }

    public function clearDeviceID()
    {
        unset($this->deviceID);
    }

    




    public function setDeviceID($var)
    {
        GPBUtil::checkInt32($var);
        $this->deviceID = $var;

        return $this;
    }

    



    public function getIsDeleted()
    {
        return isset($this->isDeleted) ? $this->isDeleted : false;
    }

    public function hasIsDeleted()
    {
        return isset($this->isDeleted);
    }

    public function clearIsDeleted()
    {
        unset($this->isDeleted);
    }

    




    public function setIsDeleted($var)
    {
        GPBUtil::checkBool($var);
        $this->isDeleted = $var;

        return $this;
    }

}

